package daruma.sql;

public class DatabaseConnectionException extends Exception
{
	private	static final long serialVersionUID = 0L;

	public	DatabaseConnectionException( String  message )
	{
		super( message );
	}

	public	DatabaseConnectionException( Throwable  throwable )
	{
		super( throwable );
		this.setStackTrace(throwable.getStackTrace()) ;
	}

	public	DatabaseConnectionException( String  message ,
					     Throwable  throwable )
	{
		super( message , throwable );
		this.setStackTrace(throwable.getStackTrace()) ;
	}


	static	public	class  ClassLoadFailedDatabaseConnectionException
					extends DatabaseConnectionException
	{
		private	static final long serialVersionUID = 0L;

		private	String	failedClassName;

		public	ClassLoadFailedDatabaseConnectionException
			( String  message ,  String  failedClassName )
		{
			super( message );

			this.failedClassName = failedClassName;
		}

		public	ClassLoadFailedDatabaseConnectionException
			( String  message ,  String  failedClassName ,
			  Throwable  throwable )
		{
			super( message , throwable );
			this.setStackTrace(throwable.getStackTrace()) ;

			this.failedClassName = failedClassName;
		}

		public	String	getFailedClassName()
		{
			return( this.failedClassName );
		}
	}
}
